> ## Documentation Index
> Fetch the complete documentation index at: https://doc.extole.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create client key

> Creates a client key from a JSON request body. Supported variants include OAuth integrations, inline PGP or SSH key material, JWT signing keys, webhook secrets, and generic password or HTTP basic credentials. Set `algorithm` to select the polymorphic request and response schema. Set `type` to classify what the key is used for.



## OpenAPI

````yaml /api-reference/management.json post /v2/settings/security/keys
openapi: 3.0.1
info:
  description: >-
    Configuration endpoints for the Extole platform: campaigns, components,
    audiences, persons, rewards, reporting, integrations setup, and
    administrative tooling.
  title: Management API
  version: '1.0'
servers:
  - description: Production
    url: https://api.extole.io
security:
  - HEADER: []
  - QUERY: []
  - COOKIE: []
tags:
  - name: Audiences
  - name: Authentication
  - name: Batch Jobs
  - name: Blocks
  - name: Campaigns
  - name: Components
  - name: Components Settings
  - name: Domains
  - name: Email
  - name: Erasure
  - name: Event Streams
  - name: File Validation Monitors
  - name: Optout
  - name: Profiles
  - name: Promotion Links
  - name: Report Schedules
  - name: Report Types
  - name: Reports
  - name: Reward Suppliers
  - name: Security Keys
  - name: Settings
  - name: User Notifications
  - name: User Subscriptions
  - name: Users
  - name: Webhooks
paths:
  /v2/settings/security/keys:
    post:
      tags:
        - Security Keys
      summary: Create client key
      description: >-
        Creates a client key from a JSON request body. Supported variants
        include OAuth integrations, inline PGP or SSH key material, JWT signing
        keys, webhook secrets, and generic password or HTTP basic credentials.
        Set `algorithm` to select the polymorphic request and response schema.
        Set `type` to classify what the key is used for.
      operationId: createClientKey
      requestBody:
        content:
          application/json:
            example:
              algorithm: A128KW
              component_ids:
                - component_id
              component_references:
                - component_id: component_id
                  socket_names:
                    - socket_name
              description: description
              key: key
              name: name
              partner_key_id: partner_key_id
              tags:
                - tag
              type: JWT
            schema:
              $ref: '#/components/schemas/StringBasedClientKeyCreateRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientKeyResponse'
          description: Successful response
        '400':
          content:
            application/json:
              examples:
                authorization_url_invalid:
                  $ref: '#/components/examples/authorization_url_invalid'
                authorization_url_invalid_uri:
                  $ref: '#/components/examples/authorization_url_invalid_uri'
                authorization_url_too_long:
                  $ref: '#/components/examples/authorization_url_too_long'
                binding_error:
                  $ref: '#/components/examples/binding_error'
                campaign_component_absolute_name_missing:
                  $ref: >-
                    #/components/examples/campaign_component_absolute_name_missing
                campaign_component_description_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_component_description_out_of_range
                campaign_component_display_name_contains_illegal_character:
                  $ref: >-
                    #/components/examples/campaign_component_display_name_contains_illegal_character
                campaign_component_display_name_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_component_display_name_out_of_range
                campaign_component_id_missing:
                  $ref: '#/components/examples/campaign_component_id_missing'
                campaign_component_name_already_in_use:
                  $ref: '#/components/examples/campaign_component_name_already_in_use'
                campaign_component_name_contains_illegal_character:
                  $ref: >-
                    #/components/examples/campaign_component_name_contains_illegal_character
                campaign_component_name_out_of_range:
                  $ref: '#/components/examples/campaign_component_name_out_of_range'
                campaign_component_type_validation_failed:
                  $ref: >-
                    #/components/examples/campaign_component_type_validation_failed
                circular_component_reference:
                  $ref: '#/components/examples/circular_component_reference'
                client_key_build_failed:
                  $ref: '#/components/examples/client_key_build_failed'
                client_key_duplicate_partner_key_id:
                  $ref: '#/components/examples/client_key_duplicate_partner_key_id'
                client_key_invalid:
                  $ref: '#/components/examples/client_key_invalid'
                client_key_invalid_description:
                  $ref: '#/components/examples/client_key_invalid_description'
                client_key_invalid_name:
                  $ref: '#/components/examples/client_key_invalid_name'
                client_key_invalid_partner_key_id:
                  $ref: '#/components/examples/client_key_invalid_partner_key_id'
                client_key_invalid_tag:
                  $ref: '#/components/examples/client_key_invalid_tag'
                client_key_missing:
                  $ref: '#/components/examples/client_key_missing'
                client_key_missing_algorithm:
                  $ref: '#/components/examples/client_key_missing_algorithm'
                client_key_missing_name:
                  $ref: '#/components/examples/client_key_missing_name'
                client_key_missing_type:
                  $ref: '#/components/examples/client_key_missing_type'
                client_key_not_found:
                  $ref: '#/components/examples/client_key_not_found'
                client_key_too_long:
                  $ref: '#/components/examples/client_key_too_long'
                client_key_too_short:
                  $ref: '#/components/examples/client_key_too_short'
                client_key_unsupported_type:
                  $ref: '#/components/examples/client_key_unsupported_type'
                component_facets_not_found:
                  $ref: '#/components/examples/component_facets_not_found'
                excessive_component_reference:
                  $ref: '#/components/examples/excessive_component_reference'
                external_element_in_use:
                  $ref: '#/components/examples/external_element_in_use'
                external_element_is_referenced_by_active_configuration:
                  $ref: >-
                    #/components/examples/external_element_is_referenced_by_active_configuration
                external_elements_cannot_have_multiple_references:
                  $ref: >-
                    #/components/examples/external_elements_cannot_have_multiple_references
                invalid_account_id:
                  $ref: '#/components/examples/invalid_account_id'
                invalid_component_installed_into_socket:
                  $ref: >-
                    #/components/examples/invalid_component_installed_into_socket
                invalid_component_reference:
                  $ref: '#/components/examples/invalid_component_reference'
                invalid_component_reference_socket_name:
                  $ref: >-
                    #/components/examples/invalid_component_reference_socket_name
                invalid_external_component_reference:
                  $ref: '#/components/examples/invalid_external_component_reference'
                invalid_json:
                  $ref: '#/components/examples/invalid_json'
                invalid_parameter:
                  $ref: '#/components/examples/invalid_parameter'
                missing_app_key:
                  $ref: '#/components/examples/missing_app_key'
                missing_authorization_url:
                  $ref: '#/components/examples/missing_authorization_url'
                missing_lead_perfection_client_id:
                  $ref: '#/components/examples/missing_lead_perfection_client_id'
                missing_oauth_client_id:
                  $ref: '#/components/examples/missing_oauth_client_id'
                missing_password:
                  $ref: '#/components/examples/missing_password'
                missing_request_body:
                  $ref: '#/components/examples/missing_request_body'
                missing_username:
                  $ref: '#/components/examples/missing_username'
                oauth_client_id_too_long:
                  $ref: '#/components/examples/oauth_client_id_too_long'
                orphan_external_component_reference:
                  $ref: '#/components/examples/orphan_external_component_reference'
                pgp_extole_client_key_not_found:
                  $ref: '#/components/examples/pgp_extole_client_key_not_found'
                redundant_component_reference:
                  $ref: '#/components/examples/redundant_component_reference'
                scope_too_long:
                  $ref: '#/components/examples/scope_too_long'
                self_component_reference:
                  $ref: '#/components/examples/self_component_reference'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              examples:
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              examples:
                payment_required:
                  $ref: '#/components/examples/payment_required'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Payment Required
        '403':
          content:
            application/json:
              examples:
                access_denied:
                  $ref: '#/components/examples/access_denied'
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
                missing_access_token:
                  $ref: '#/components/examples/missing_access_token'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Forbidden
        '415':
          content:
            application/json:
              examples:
                unsupported_media_type:
                  $ref: '#/components/examples/unsupported_media_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unsupported Media Type
        '429':
          content:
            application/json:
              examples:
                too_many_requests:
                  $ref: '#/components/examples/too_many_requests'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Too Many Requests
components:
  schemas:
    StringBasedClientKeyCreateRequest:
      description: Body of a `POST /v2/settings/security/keys` request.
      discriminator:
        mapping:
          A128KW:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsA128kw'
          A192KW:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsA192kw'
          A256KW:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsA256kw'
          ES256_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsEs256Private'
          ES256_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsEs256Public'
          ES384_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsEs384Private'
          ES384_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsEs384Public'
          ES512_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsEs512Private'
          ES512_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsEs512Public'
          HS256:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsHs256'
          HS384:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsHs384'
          HS512:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsHs512'
          HTTP_BASIC:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsHttpBasic'
          OAUTH:
            $ref: '#/components/schemas/OAuthClientKeyCreateRequest'
          OAUTH_GENERIC:
            $ref: '#/components/schemas/OAuthGenericClientKeyCreateRequest'
          OAUTH_LEAD_PERFECTION:
            $ref: '#/components/schemas/OAuthLeadPerfectionClientKeyCreateRequest'
          OAUTH_LISTRAK:
            $ref: '#/components/schemas/OAuthListrakClientKeyCreateRequest'
          OAUTH_OPTIMOVE:
            $ref: '#/components/schemas/OAuthOptimoveClientKeyCreateRequest'
          OAUTH_SALESFORCE:
            $ref: '#/components/schemas/OAuthSalesforceClientKeyCreateRequest'
          OAUTH_SFDC:
            $ref: '#/components/schemas/OAuthSfdcClientKeyCreateRequest'
          OAUTH_SFDC_PASSWORD:
            $ref: '#/components/schemas/OAuthSfdcPasswordClientKeyCreateRequest'
          PASSWORD:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsPassword'
          PS256_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsPs256Private'
          PS256_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsPs256Public'
          PS384_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsPs384Private'
          PS384_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsPs384Public'
          PS512_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsPs512Private'
          PS512_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsPs512Public'
          RS256_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsRs256Private'
          RS256_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsRs256Public'
          RS384_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsRs384Private'
          RS384_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsRs384Public'
          RS512_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsRs512Private'
          RS512_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsRs512Public'
          RSA:
            $ref: '#/components/schemas/GenericClientKeyCreateRequestAsRsa'
          RSA_OAEP_256_PRIVATE:
            $ref: >-
              #/components/schemas/GenericClientKeyCreateRequestAsRsaOaep256Private
          RSA_OAEP_256_PUBLIC:
            $ref: >-
              #/components/schemas/GenericClientKeyCreateRequestAsRsaOaep256Public
          RSA_OAEP_384_PRIVATE:
            $ref: >-
              #/components/schemas/GenericClientKeyCreateRequestAsRsaOaep384Private
          RSA_OAEP_384_PUBLIC:
            $ref: >-
              #/components/schemas/GenericClientKeyCreateRequestAsRsaOaep384Public
          RSA_OAEP_512_PRIVATE:
            $ref: >-
              #/components/schemas/GenericClientKeyCreateRequestAsRsaOaep512Private
          RSA_OAEP_512_PUBLIC:
            $ref: >-
              #/components/schemas/GenericClientKeyCreateRequestAsRsaOaep512Public
        propertyName: algorithm
      oneOf:
        - title: A128KW
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsA128kw'
        - title: A192KW
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsA192kw'
        - title: A256KW
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsA256kw'
        - title: ES256_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsEs256Private'
        - title: ES256_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsEs256Public'
        - title: ES384_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsEs384Private'
        - title: ES384_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsEs384Public'
        - title: ES512_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsEs512Private'
        - title: ES512_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsEs512Public'
        - title: HS256
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsHs256'
        - title: HS384
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsHs384'
        - title: HS512
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsHs512'
        - title: HTTP_BASIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsHttpBasic'
        - title: OAUTH
          allOf:
            - $ref: '#/components/schemas/OAuthClientKeyCreateRequest'
        - title: OAUTH_GENERIC
          allOf:
            - $ref: '#/components/schemas/OAuthGenericClientKeyCreateRequest'
        - title: OAUTH_LEAD_PERFECTION
          allOf:
            - $ref: '#/components/schemas/OAuthLeadPerfectionClientKeyCreateRequest'
        - title: OAUTH_LISTRAK
          allOf:
            - $ref: '#/components/schemas/OAuthListrakClientKeyCreateRequest'
        - title: OAUTH_OPTIMOVE
          allOf:
            - $ref: '#/components/schemas/OAuthOptimoveClientKeyCreateRequest'
        - title: OAUTH_SALESFORCE
          allOf:
            - $ref: '#/components/schemas/OAuthSalesforceClientKeyCreateRequest'
        - title: OAUTH_SFDC
          allOf:
            - $ref: '#/components/schemas/OAuthSfdcClientKeyCreateRequest'
        - title: OAUTH_SFDC_PASSWORD
          allOf:
            - $ref: '#/components/schemas/OAuthSfdcPasswordClientKeyCreateRequest'
        - title: PASSWORD
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsPassword'
        - title: PS256_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsPs256Private'
        - title: PS256_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsPs256Public'
        - title: PS384_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsPs384Private'
        - title: PS384_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsPs384Public'
        - title: PS512_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsPs512Private'
        - title: PS512_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsPs512Public'
        - title: RS256_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsRs256Private'
        - title: RS256_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsRs256Public'
        - title: RS384_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsRs384Private'
        - title: RS384_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsRs384Public'
        - title: RS512_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsRs512Private'
        - title: RS512_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsRs512Public'
        - title: RSA
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyCreateRequestAsRsa'
        - title: RSA_OAEP_256_PRIVATE
          allOf:
            - $ref: >-
                #/components/schemas/GenericClientKeyCreateRequestAsRsaOaep256Private
        - title: RSA_OAEP_256_PUBLIC
          allOf:
            - $ref: >-
                #/components/schemas/GenericClientKeyCreateRequestAsRsaOaep256Public
        - title: RSA_OAEP_384_PRIVATE
          allOf:
            - $ref: >-
                #/components/schemas/GenericClientKeyCreateRequestAsRsaOaep384Private
        - title: RSA_OAEP_384_PUBLIC
          allOf:
            - $ref: >-
                #/components/schemas/GenericClientKeyCreateRequestAsRsaOaep384Public
        - title: RSA_OAEP_512_PRIVATE
          allOf:
            - $ref: >-
                #/components/schemas/GenericClientKeyCreateRequestAsRsaOaep512Private
        - title: RSA_OAEP_512_PUBLIC
          allOf:
            - $ref: >-
                #/components/schemas/GenericClientKeyCreateRequestAsRsaOaep512Public
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
    ClientKeyResponse:
      discriminator:
        mapping:
          A128KW:
            $ref: '#/components/schemas/GenericClientKeyResponseAsA128kw'
          A192KW:
            $ref: '#/components/schemas/GenericClientKeyResponseAsA192kw'
          A256KW:
            $ref: '#/components/schemas/GenericClientKeyResponseAsA256kw'
          ES256_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsEs256Private'
          ES256_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsEs256Public'
          ES384_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsEs384Private'
          ES384_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsEs384Public'
          ES512_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsEs512Private'
          ES512_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsEs512Public'
          HS256:
            $ref: '#/components/schemas/GenericClientKeyResponseAsHs256'
          HS384:
            $ref: '#/components/schemas/GenericClientKeyResponseAsHs384'
          HS512:
            $ref: '#/components/schemas/GenericClientKeyResponseAsHs512'
          HTTP_BASIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsHttpBasic'
          OAUTH:
            $ref: '#/components/schemas/OAuthClientKeyResponse'
          OAUTH_GENERIC:
            $ref: '#/components/schemas/OAuthGenericClientKeyResponse'
          OAUTH_LEAD_PERFECTION:
            $ref: '#/components/schemas/OAuthLeadPerfectionClientKeyResponse'
          OAUTH_LISTRAK:
            $ref: '#/components/schemas/OAuthListrakClientKeyResponse'
          OAUTH_OPTIMOVE:
            $ref: '#/components/schemas/OAuthOptimoveClientKeyResponse'
          OAUTH_SALESFORCE:
            $ref: '#/components/schemas/OAuthSalesforceClientKeyResponse'
          OAUTH_SFDC:
            $ref: '#/components/schemas/OAuthSfdcClientKeyResponse'
          OAUTH_SFDC_PASSWORD:
            $ref: '#/components/schemas/OAuthSfdcPasswordClientKeyResponse'
          PASSWORD:
            $ref: '#/components/schemas/GenericClientKeyResponseAsPassword'
          PS256_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsPs256Private'
          PS256_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsPs256Public'
          PS384_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsPs384Private'
          PS384_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsPs384Public'
          PS512_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsPs512Private'
          PS512_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsPs512Public'
          RS256_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRs256Private'
          RS256_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRs256Public'
          RS384_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRs384Private'
          RS384_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRs384Public'
          RS512_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRs512Private'
          RS512_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRs512Public'
          RSA:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRsa'
          RSA_OAEP_256_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep256Private'
          RSA_OAEP_256_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep256Public'
          RSA_OAEP_384_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep384Private'
          RSA_OAEP_384_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep384Public'
          RSA_OAEP_512_PRIVATE:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep512Private'
          RSA_OAEP_512_PUBLIC:
            $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep512Public'
          SSL_PKCS_12:
            $ref: '#/components/schemas/SslPkcs12ClientKeyResponse'
        propertyName: algorithm
      oneOf:
        - title: A128KW
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsA128kw'
        - title: A192KW
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsA192kw'
        - title: A256KW
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsA256kw'
        - title: ES256_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsEs256Private'
        - title: ES256_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsEs256Public'
        - title: ES384_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsEs384Private'
        - title: ES384_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsEs384Public'
        - title: ES512_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsEs512Private'
        - title: ES512_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsEs512Public'
        - title: HS256
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsHs256'
        - title: HS384
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsHs384'
        - title: HS512
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsHs512'
        - title: HTTP_BASIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsHttpBasic'
        - title: OAUTH
          allOf:
            - $ref: '#/components/schemas/OAuthClientKeyResponse'
        - title: OAUTH_GENERIC
          allOf:
            - $ref: '#/components/schemas/OAuthGenericClientKeyResponse'
        - title: OAUTH_LEAD_PERFECTION
          allOf:
            - $ref: '#/components/schemas/OAuthLeadPerfectionClientKeyResponse'
        - title: OAUTH_LISTRAK
          allOf:
            - $ref: '#/components/schemas/OAuthListrakClientKeyResponse'
        - title: OAUTH_OPTIMOVE
          allOf:
            - $ref: '#/components/schemas/OAuthOptimoveClientKeyResponse'
        - title: OAUTH_SALESFORCE
          allOf:
            - $ref: '#/components/schemas/OAuthSalesforceClientKeyResponse'
        - title: OAUTH_SFDC
          allOf:
            - $ref: '#/components/schemas/OAuthSfdcClientKeyResponse'
        - title: OAUTH_SFDC_PASSWORD
          allOf:
            - $ref: '#/components/schemas/OAuthSfdcPasswordClientKeyResponse'
        - title: PASSWORD
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsPassword'
        - title: PS256_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsPs256Private'
        - title: PS256_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsPs256Public'
        - title: PS384_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsPs384Private'
        - title: PS384_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsPs384Public'
        - title: PS512_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsPs512Private'
        - title: PS512_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsPs512Public'
        - title: RS256_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRs256Private'
        - title: RS256_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRs256Public'
        - title: RS384_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRs384Private'
        - title: RS384_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRs384Public'
        - title: RS512_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRs512Private'
        - title: RS512_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRs512Public'
        - title: RSA
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRsa'
        - title: RSA_OAEP_256_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep256Private'
        - title: RSA_OAEP_256_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep256Public'
        - title: RSA_OAEP_384_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep384Private'
        - title: RSA_OAEP_384_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep384Public'
        - title: RSA_OAEP_512_PRIVATE
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep512Private'
        - title: RSA_OAEP_512_PUBLIC
          allOf:
            - $ref: '#/components/schemas/GenericClientKeyResponseAsRsaOaep512Public'
        - title: SSL_PKCS_12
          allOf:
            - $ref: '#/components/schemas/SslPkcs12ClientKeyResponse'
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
    RestExceptionResponse:
      description: Represents the API error response
      properties:
        code:
          description: Specific error code for this error type, documented per endpoint
          type: string
        http_status_code:
          description: >-
            HTTP status code that was returned with this error, useful if client
            get response code
          format: int32
          type: integer
        message:
          description: User readable English description of the error
          type: string
        parameters:
          additionalProperties:
            description: >-
              Attributes related to the error, varies be error code, documented
              per endpoint
            type: object
          description: >-
            Attributes related to the error, varies be error code, documented
            per endpoint
          type: object
        unique_id:
          description: >-
            Unique id associated with this error, useful for discussions with
            Extole
          type: string
      required:
        - code
        - http_status_code
        - message
        - parameters
        - unique_id
      type: object
    GenericClientKeyCreateRequestAsA128kw:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - A128KW
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: A128KW
    GenericClientKeyCreateRequestAsA192kw:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - A192KW
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: A192KW
    GenericClientKeyCreateRequestAsA256kw:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - A256KW
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: A256KW
    GenericClientKeyCreateRequestAsEs256Private:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - ES256_PRIVATE
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: ES256_PRIVATE
    GenericClientKeyCreateRequestAsEs256Public:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - ES256_PUBLIC
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: ES256_PUBLIC
    GenericClientKeyCreateRequestAsEs384Private:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - ES384_PRIVATE
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: ES384_PRIVATE
    GenericClientKeyCreateRequestAsEs384Public:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - ES384_PUBLIC
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: ES384_PUBLIC
    GenericClientKeyCreateRequestAsEs512Private:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - ES512_PRIVATE
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: ES512_PRIVATE
    GenericClientKeyCreateRequestAsEs512Public:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - ES512_PUBLIC
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: ES512_PUBLIC
    GenericClientKeyCreateRequestAsHs256:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - HS256
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: HS256
    GenericClientKeyCreateRequestAsHs384:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - HS384
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: HS384
    GenericClientKeyCreateRequestAsHs512:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - HS512
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: HS512
    GenericClientKeyCreateRequestAsHttpBasic:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - HTTP_BASIC
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: HTTP_BASIC
    OAuthClientKeyCreateRequest:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - OAUTH
              type: string
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthClientKeyCreateRequest
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            scope:
              description: >-
                Optional space-delimited OAuth scopes to request during
                authorization.
              nullable: true
              type: string
          type: object
      required:
        - algorithm
        - authorization_url
        - description
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - type
      type: object
      title: OAUTH
    OAuthGenericClientKeyCreateRequest:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_GENERIC
              type: string
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthGenericClientKeyCreateRequest
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            request:
              $ref: '#/components/schemas/RequestInOAuthGenericClientKeyCreateRequest'
            response_handler:
              $ref: >-
                #/components/schemas/ResponseHandlerInOAuthGenericClientKeyCreateRequest
            scope:
              description: >-
                Optional space-delimited OAuth scopes to request during
                authorization.
              nullable: true
              type: string
          type: object
      required:
        - algorithm
        - authorization_url
        - description
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - type
      type: object
      title: OAUTH_GENERIC
    OAuthLeadPerfectionClientKeyCreateRequest:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_LEAD_PERFECTION
              type: string
            app_key:
              type: string
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthLeadPerfectionClientKeyCreateRequest
            lead_perfection_client_id:
              type: string
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            scope:
              description: >-
                Optional space-delimited OAuth scopes to request during
                authorization.
              nullable: true
              type: string
          type: object
      required:
        - algorithm
        - authorization_url
        - description
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - type
      type: object
      title: OAUTH_LEAD_PERFECTION
    OAuthListrakClientKeyCreateRequest:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_LISTRAK
              type: string
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthListrakClientKeyCreateRequest
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            scope:
              description: >-
                Optional space-delimited OAuth scopes to request during
                authorization.
              nullable: true
              type: string
          type: object
      required:
        - algorithm
        - authorization_url
        - description
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - type
      type: object
      title: OAUTH_LISTRAK
    OAuthOptimoveClientKeyCreateRequest:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_OPTIMOVE
              type: string
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthOptimoveClientKeyCreateRequest
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            scope:
              description: >-
                Optional space-delimited OAuth scopes to request during
                authorization.
              nullable: true
              type: string
          type: object
      required:
        - algorithm
        - authorization_url
        - description
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - type
      type: object
      title: OAUTH_OPTIMOVE
    OAuthSalesforceClientKeyCreateRequest:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            account_id:
              format: int32
              type: integer
            algorithm:
              enum:
                - OAUTH_SALESFORCE
              type: string
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthSalesforceClientKeyCreateRequest
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            scope:
              description: >-
                Optional space-delimited OAuth scopes to request during
                authorization.
              nullable: true
              type: string
          type: object
      required:
        - account_id
        - algorithm
        - authorization_url
        - description
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - type
      type: object
      title: OAUTH_SALESFORCE
    OAuthSfdcClientKeyCreateRequest:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_SFDC
              type: string
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthSfdcClientKeyCreateRequest
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            scope:
              description: >-
                Optional space-delimited OAuth scopes to request during
                authorization.
              nullable: true
              type: string
          type: object
      required:
        - algorithm
        - authorization_url
        - description
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - type
      type: object
      title: OAUTH_SFDC
    OAuthSfdcPasswordClientKeyCreateRequest:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_SFDC_PASSWORD
              type: string
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthSfdcPasswordClientKeyCreateRequest
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            password:
              type: string
            scope:
              description: >-
                Optional space-delimited OAuth scopes to request during
                authorization.
              nullable: true
              type: string
            username:
              type: string
          type: object
      required:
        - algorithm
        - authorization_url
        - description
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - password
        - scope
        - type
        - username
      type: object
      title: OAUTH_SFDC_PASSWORD
    GenericClientKeyCreateRequestAsPassword:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - PASSWORD
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: PASSWORD
    GenericClientKeyCreateRequestAsPs256Private:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - PS256_PRIVATE
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: PS256_PRIVATE
    GenericClientKeyCreateRequestAsPs256Public:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - PS256_PUBLIC
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: PS256_PUBLIC
    GenericClientKeyCreateRequestAsPs384Private:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - PS384_PRIVATE
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: PS384_PRIVATE
    GenericClientKeyCreateRequestAsPs384Public:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - PS384_PUBLIC
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: PS384_PUBLIC
    GenericClientKeyCreateRequestAsPs512Private:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - PS512_PRIVATE
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: PS512_PRIVATE
    GenericClientKeyCreateRequestAsPs512Public:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - PS512_PUBLIC
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: PS512_PUBLIC
    GenericClientKeyCreateRequestAsRs256Private:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - RS256_PRIVATE
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: RS256_PRIVATE
    GenericClientKeyCreateRequestAsRs256Public:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - RS256_PUBLIC
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: RS256_PUBLIC
    GenericClientKeyCreateRequestAsRs384Private:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - RS384_PRIVATE
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: RS384_PRIVATE
    GenericClientKeyCreateRequestAsRs384Public:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - RS384_PUBLIC
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: RS384_PUBLIC
    GenericClientKeyCreateRequestAsRs512Private:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - RS512_PRIVATE
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: RS512_PRIVATE
    GenericClientKeyCreateRequestAsRs512Public:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - RS512_PUBLIC
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: RS512_PUBLIC
    GenericClientKeyCreateRequestAsRsa:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - RSA
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: RSA
    GenericClientKeyCreateRequestAsRsaOaep256Private:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - RSA_OAEP_256_PRIVATE
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: RSA_OAEP_256_PRIVATE
    GenericClientKeyCreateRequestAsRsaOaep256Public:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - RSA_OAEP_256_PUBLIC
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: RSA_OAEP_256_PUBLIC
    GenericClientKeyCreateRequestAsRsaOaep384Private:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - RSA_OAEP_384_PRIVATE
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: RSA_OAEP_384_PRIVATE
    GenericClientKeyCreateRequestAsRsaOaep384Public:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - RSA_OAEP_384_PUBLIC
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: RSA_OAEP_384_PUBLIC
    GenericClientKeyCreateRequestAsRsaOaep512Private:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - RSA_OAEP_512_PRIVATE
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: RSA_OAEP_512_PRIVATE
    GenericClientKeyCreateRequestAsRsaOaep512Public:
      allOf:
        - $ref: '#/components/schemas/StringBasedClientKeyCreateRequestBase'
        - properties:
            algorithm:
              enum:
                - RSA_OAEP_512_PUBLIC
              type: string
      required:
        - algorithm
        - description
        - key
        - name
        - partner_key_id
        - type
      type: object
      title: RSA_OAEP_512_PUBLIC
    GenericClientKeyResponseAsA128kw:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - A128KW
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: A128KW
    GenericClientKeyResponseAsA192kw:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - A192KW
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: A192KW
    GenericClientKeyResponseAsA256kw:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - A256KW
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: A256KW
    GenericClientKeyResponseAsEs256Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - ES256_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: ES256_PRIVATE
    GenericClientKeyResponseAsEs256Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - ES256_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: ES256_PUBLIC
    GenericClientKeyResponseAsEs384Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - ES384_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: ES384_PRIVATE
    GenericClientKeyResponseAsEs384Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - ES384_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: ES384_PUBLIC
    GenericClientKeyResponseAsEs512Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - ES512_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: ES512_PRIVATE
    GenericClientKeyResponseAsEs512Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - ES512_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: ES512_PUBLIC
    GenericClientKeyResponseAsHs256:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - HS256
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: HS256
    GenericClientKeyResponseAsHs384:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - HS384
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: HS384
    GenericClientKeyResponseAsHs512:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - HS512
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: HS512
    GenericClientKeyResponseAsHttpBasic:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - HTTP_BASIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: HTTP_BASIC
    OAuthClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - OAUTH
              type: string
            authorization_url:
              $ref: '#/components/schemas/AuthorizationUrlInOAuthClientKeyResponse'
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            scope:
              description: Space-delimited OAuth scopes requested during authorization.
              nullable: true
              type: string
          type: object
      description: >-
        Stored oauth client key definition. Fields `name`, `description`, and
        `authorization_url` are unevaluated and appear in buildtime-evaluatable
        form.
      required:
        - algorithm
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - tags
        - type
        - updated_at
      type: object
      title: OAUTH
    OAuthGenericClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_GENERIC
              type: string
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthGenericClientKeyResponse
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            request:
              $ref: '#/components/schemas/RequestInOAuthGenericClientKeyResponse'
            response_handler:
              $ref: >-
                #/components/schemas/ResponseHandlerInOAuthGenericClientKeyResponse
            scope:
              description: Space-delimited OAuth scopes requested during authorization.
              nullable: true
              type: string
          type: object
      description: >-
        Stored oauth generic client key definition. Fields `name`,
        `description`, `authorization_url`, `request`, and `response_handler`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - request
        - response_handler
        - scope
        - tags
        - type
        - updated_at
      type: object
      title: OAUTH_GENERIC
    OAuthLeadPerfectionClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_LEAD_PERFECTION
              type: string
            appKey:
              type: string
            app_key:
              type: string
              writeOnly: true
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthLeadPerfectionClientKeyResponse
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
            leadPerfectionClientId:
              type: string
            lead_perfection_client_id:
              type: string
              writeOnly: true
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            scope:
              description: Space-delimited OAuth scopes requested during authorization.
              nullable: true
              type: string
          type: object
      description: >-
        Stored oauth lead perfection client key definition. Fields `name`,
        `description`, and `authorization_url` are unevaluated and appear in
        buildtime-evaluatable form.
      required:
        - algorithm
        - appKey
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - leadPerfectionClientId
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - tags
        - type
        - updated_at
      type: object
      title: OAUTH_LEAD_PERFECTION
    OAuthListrakClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_LISTRAK
              type: string
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthListrakClientKeyResponse
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            scope:
              description: Space-delimited OAuth scopes requested during authorization.
              nullable: true
              type: string
          type: object
      description: >-
        Stored oauth listrak client key definition. Fields `name`,
        `description`, and `authorization_url` are unevaluated and appear in
        buildtime-evaluatable form.
      required:
        - algorithm
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - tags
        - type
        - updated_at
      type: object
      title: OAUTH_LISTRAK
    OAuthOptimoveClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_OPTIMOVE
              type: string
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthOptimoveClientKeyResponse
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            scope:
              description: Space-delimited OAuth scopes requested during authorization.
              nullable: true
              type: string
          type: object
      description: >-
        Stored oauth optimove client key definition. Fields `name`,
        `description`, and `authorization_url` are unevaluated and appear in
        buildtime-evaluatable form.
      required:
        - algorithm
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - tags
        - type
        - updated_at
      type: object
      title: OAUTH_OPTIMOVE
    OAuthSalesforceClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            account_id:
              format: int32
              type: integer
            algorithm:
              enum:
                - OAUTH_SALESFORCE
              type: string
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthSalesforceClientKeyResponse
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            scope:
              description: Space-delimited OAuth scopes requested during authorization.
              nullable: true
              type: string
          type: object
      description: >-
        Stored oauth salesforce client key definition. Fields `name`,
        `description`, and `authorization_url` are unevaluated and appear in
        buildtime-evaluatable form.
      required:
        - account_id
        - algorithm
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - tags
        - type
        - updated_at
      type: object
      title: OAUTH_SALESFORCE
    OAuthSfdcClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_SFDC
              type: string
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthSfdcClientKeyResponse
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            scope:
              description: Space-delimited OAuth scopes requested during authorization.
              nullable: true
              type: string
          type: object
      description: >-
        Stored oauth sfdc client key definition. Fields `name`, `description`,
        and `authorization_url` are unevaluated and appear in
        buildtime-evaluatable form.
      required:
        - algorithm
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - scope
        - tags
        - type
        - updated_at
      type: object
      title: OAUTH_SFDC
    OAuthSfdcPasswordClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - OAUTH_SFDC_PASSWORD
              type: string
            authorization_url:
              $ref: >-
                #/components/schemas/AuthorizationUrlInOAuthSfdcPasswordClientKeyResponse
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
            oauth_client_id:
              description: >-
                OAuth 2.0 client identifier registered with the authorization
                server.
              type: string
            password:
              type: string
            scope:
              description: Space-delimited OAuth scopes requested during authorization.
              nullable: true
              type: string
            username:
              type: string
          type: object
      description: >-
        Stored oauth sfdc password client key definition. Fields `name`,
        `description`, and `authorization_url` are unevaluated and appear in
        buildtime-evaluatable form.
      required:
        - algorithm
        - authorization_url
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - oauth_client_id
        - partner_key_id
        - password
        - scope
        - tags
        - type
        - updated_at
        - username
      type: object
      title: OAUTH_SFDC_PASSWORD
    GenericClientKeyResponseAsPassword:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - PASSWORD
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: PASSWORD
    GenericClientKeyResponseAsPs256Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - PS256_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: PS256_PRIVATE
    GenericClientKeyResponseAsPs256Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - PS256_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: PS256_PUBLIC
    GenericClientKeyResponseAsPs384Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - PS384_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: PS384_PRIVATE
    GenericClientKeyResponseAsPs384Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - PS384_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: PS384_PUBLIC
    GenericClientKeyResponseAsPs512Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - PS512_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: PS512_PRIVATE
    GenericClientKeyResponseAsPs512Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - PS512_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: PS512_PUBLIC
    GenericClientKeyResponseAsRs256Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RS256_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RS256_PRIVATE
    GenericClientKeyResponseAsRs256Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RS256_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RS256_PUBLIC
    GenericClientKeyResponseAsRs384Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RS384_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RS384_PRIVATE
    GenericClientKeyResponseAsRs384Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RS384_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RS384_PUBLIC
    GenericClientKeyResponseAsRs512Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RS512_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RS512_PRIVATE
    GenericClientKeyResponseAsRs512Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RS512_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RS512_PUBLIC
    GenericClientKeyResponseAsRsa:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RSA
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RSA
    GenericClientKeyResponseAsRsaOaep256Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RSA_OAEP_256_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RSA_OAEP_256_PRIVATE
    GenericClientKeyResponseAsRsaOaep256Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RSA_OAEP_256_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RSA_OAEP_256_PUBLIC
    GenericClientKeyResponseAsRsaOaep384Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RSA_OAEP_384_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RSA_OAEP_384_PRIVATE
    GenericClientKeyResponseAsRsaOaep384Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RSA_OAEP_384_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RSA_OAEP_384_PUBLIC
    GenericClientKeyResponseAsRsaOaep512Private:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RSA_OAEP_512_PRIVATE
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RSA_OAEP_512_PRIVATE
    GenericClientKeyResponseAsRsaOaep512Public:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - RSA_OAEP_512_PUBLIC
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
          type: object
      description: >-
        Stored generic client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - tags
        - type
        - updated_at
      type: object
      title: RSA_OAEP_512_PUBLIC
    SslPkcs12ClientKeyResponse:
      allOf:
        - $ref: '#/components/schemas/ClientKeyResponseBase'
        - properties:
            algorithm:
              enum:
                - SSL_PKCS_12
              type: string
            id:
              description: Stable Extole identifier for the client key.
              readOnly: true
              type: string
            password:
              type: string
          type: object
      description: >-
        Stored ssl pkcs12client key definition. Fields `name` and `description`
        are unevaluated and appear in buildtime-evaluatable form.
      required:
        - algorithm
        - component_ids
        - component_references
        - created_at
        - description
        - id
        - key
        - name
        - partner_key_id
        - password
        - tags
        - type
        - updated_at
      type: object
      title: SSL_PKCS_12
    StringBasedClientKeyCreateRequestBase:
      properties:
        algorithm:
          description: >-
            Cryptographic or integration algorithm. Discriminator for
            polymorphic create, update, and response schemas.
          enum:
            - A128KW
            - A192KW
            - A256KW
            - ES256_PRIVATE
            - ES256_PUBLIC
            - ES384_PRIVATE
            - ES384_PUBLIC
            - ES512_PRIVATE
            - ES512_PUBLIC
            - GENERIC
            - HS256
            - HS384
            - HS512
            - HTTP_BASIC
            - OAUTH
            - OAUTH_GENERIC
            - OAUTH_LEAD_PERFECTION
            - OAUTH_LISTRAK
            - OAUTH_OPTIMOVE
            - OAUTH_SALESFORCE
            - OAUTH_SFDC
            - OAUTH_SFDC_PASSWORD
            - PASSWORD
            - PS256_PRIVATE
            - PS256_PUBLIC
            - PS384_PRIVATE
            - PS384_PUBLIC
            - PS512_PRIVATE
            - PS512_PUBLIC
            - RS256_PRIVATE
            - RS256_PUBLIC
[...]
